Author Topic: Assassins Grief...  (Read 844 times)

0 Members and 1 Guest are viewing this topic.

Offline Angelus

  • Moderator
  • 210
  • The Angriest Angel
I went today to the local game shop to buy Assassins Creed.
I checked the system requirements, since my PC is a older one, but it was ok, my comp could handle it.
Then i discovered something really disturbing on the back of the cover.
There was this addition to the system requirements, but they wrote it in tiny little letters: the game only supports PCI-Express gfx cards! W.T.F???

Does that really mean my AGP card wont run it? Anyone tried it with a AGP card?


Instead i bought Starship Troopers for 5 bucks, but after i start the game the screen gets dark and a message pops up "can't handle input", i hear sound for a while, then i have to re-boot the system because i can't neither alt-tab nor bring up the task manager to quit.

Any ideas what causes this?
while ( !asleep)     |     Building a Warmachine for FreeSpace: Chronicles of a dark Age        |       My WIP's                                 
{Eights++}

 

Offline Ghostavo

  • 210
  • Let it be glue!
    • Skype
    • Steam
    • Twitter
http://forums.ubi.com/eve/forums/a/tpc/f/5251069024/m/7641042236/p/1

Quote
I think you misread the requirements, the PCI-Express requirement is only on the lower level cards, RADEON® X1600*/1650* and GeForce® 6800*.

Quote
Requirements
Supported Video Cards at Time of Release: ATI® RADEON® X1600*/1650*-1950/HD 2000/3000 series NVIDIA GeForce® 6800*/7/8/9 series

*PCI Express only supported

Notice where the asterisk is.
"Closing the Box" - a campaign in the making :nervous:

Shrike is a dirty dirty admin, he's the destroyer of souls... oh god, let it be glue...

 

Offline Angelus

  • Moderator
  • 210
  • The Angriest Angel
Thx, for the info! :)
So either i need glasses or they should stop writing stuff in flea sized letters.


EDIT: searched the webs and it seems i found what's causing the message:

Quote

ATI Radeon** 9600 Pro and XT/9700/9800 series. ATI Radeon X300/X600/X700/X800 series**
(** NOT the 9700SE or onboard versions) NOTE: We (EMPIRE) have found that the game is not compatible with the ATI Radeon HD Series of Graphics Cards, There are no fixes to resolve all the issues that are related to the use of these cards within the HD series and this software. These cards have only just been released onto the Graphics Card market and would not have been benchmarked regarding the original QA testing of the product.


this sucks. :(
« Last Edit: June 30, 2009, 06:48:30 pm by Angelus »
while ( !asleep)     |     Building a Warmachine for FreeSpace: Chronicles of a dark Age        |       My WIP's                                 
{Eights++}

 

Offline CP5670

  • Dr. Evil
  • Global Moderator
  • 212
  • 142857
If that's for Assassin's Creed and not the other game, ignore those requirements. What card do you have? Did you actually try running the game?

 

Offline Ghostavo

  • 210
  • Let it be glue!
    • Skype
    • Steam
    • Twitter
I'm not sure what the quote is trying to say about the HD series, but I can say it (Assassin's Creed) works with my HD 4890.
"Closing the Box" - a campaign in the making :nervous:

Shrike is a dirty dirty admin, he's the destroyer of souls... oh god, let it be glue...

 

Offline Angelus

  • Moderator
  • 210
  • The Angriest Angel
Ooops, sorry for the confusion, the quoted text was for Starship Troopers.

The message i get after starting the game is "input not supported", the screen stays black but i can hear sound.
My gfx card is a ATI Radeon HD2600 XT AGP with the latest Omega drivers, which should run the game without problems, theoretically.

At least i thought so, 'till i found that gamedescription.
Has anyone tried to play it with a HD card?

while ( !asleep)     |     Building a Warmachine for FreeSpace: Chronicles of a dark Age        |       My WIP's                                 
{Eights++}